ResourceAuxLogProvider (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.galerts.ResourceAuxLogProvider class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.galerts
Class ResourceAuxLogProvider

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.events.AlertAuxLogProvider
              org.hyperic.hq.appdef.galerts.ResourceAuxLogProvider

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class ResourceAuxLogProvider

extends AlertAuxLogProvider

See Also:
  Serialized Form

Field Summary
`static ResourceAuxLogProvider` | `INSTANCE`

Method Summary
`void` | `deleteAll(GalertDef def)` Delete any auxillary logs associated with the specified auxLogId
`AlertAuxLog` | `load(int auxLogId, long timestamp, java.lang.String desc)` Load a provider-specific AlertAuxLog
`void` | `save(int auxLogId, AlertAuxLog log)` Save an auxillary log (log) to the DB.

Methods inherited from class org.hyperic.hq.events.AlertAuxLogProvider
`findAll, findByCode`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ResourceAuxLogProvider INSTANCE

Method Detail

### load

    public AlertAuxLog load(int auxLogId,
                            long timestamp,
                            java.lang.String desc)

  Description copied from class: `AlertAuxLogProvider`
  Load a provider-specific AlertAuxLog

  Specified by:
    `load` in class `AlertAuxLogProvider`
  Parameters:
    `auxLogId` - ID of the auxillary log to which to load aux info for

### save

    public void save(int auxLogId,
                     AlertAuxLog log)

  Description copied from class: `AlertAuxLogProvider`
  Save an auxillary log (log) to the DB. This aux log is tied to a real log, as specified by the auxLogId. For the time being, this auxLogId specifies a `GalertAuxLog`

  Specified by:
    `save` in class `AlertAuxLogProvider`

### deleteAll

    public void deleteAll(GalertDef def)

  Description copied from class: `AlertAuxLogProvider`
  Delete any auxillary logs associated with the specified auxLogId

  Specified by:
    `deleteAll` in class `AlertAuxLogProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.